<html> 
<head>
<title>Version 0.3 mapa</title>
<script type="text/javascript"> 

<!-- 
var casilla = new Array(); casilla[0] = '1.png'; casilla[1] = '2.png'; casilla[2] = '3.png'; casilla[3] = '4.png'; casilla[4] = '5.png'; casilla[5] = '6.png'; 
casilla[6] = '7.png'; casilla[7] = '8.png'; casilla[8] = '9.png'; casilla[9] = '10.png'; casilla[10] = '11.png';casilla[11] = '12.png'; casilla[12] = '13.png'; casilla[13] = '14.png'; casilla[14] = '15.png'; casilla[15] = '16.png'; casilla[16] = '17.png'; casilla[17] = '18.png';casilla[18] = '19.png';casilla[19] = '20.png'; 
casilla[20] = '21.png'; casilla[21] = '22.png'; casilla[22] = '23.png'; casilla[23] = '24.png';casilla[24] = '25.png'; casilla[25] = '26.png';casilla[26] = '27.png'; 
casilla[27] = '28.png'; casilla[28] = '29.png';casilla[29] = '30.png'; casilla[30] = '31.png'; casilla[31] = '32.png'; casilla[32] = '33.png'; casilla[33] = '34.png'; 
casilla[34] = '35.png'; casilla[35] = '36.png'; casilla[36] = '37.png'; casilla[37] = '38.png'; casilla[38] = '39.png'; casilla[39] = '40.png'; casilla[40] = '41.png'; 

function personajes (m, x)
{
 var ataque = Math.floor(Math.random()*m+Math.random()*m+x+x);
 var defensa = Math.floor(Math.random()*m+Math.random()*m+5+x+x);
 if (x!=0)
 {var mental = Math.floor(Math.random()*m+Math.random()*m+5+x+x);
  var salud = ataque*x;
  var desafio=Math.floor((ataque+defensa+defensa+salud/2)/10);
  var cadenapj="(A: "+ataque+", D: " + defensa + ", DM:" + mental + ", PV: " + salud+", VD: "+desafio+")";
 }
 else
 {
  var cadenapj="(A: "+ataque+", Dificultad: " + defensa +")";
 }
return cadenapj;
} 

function elementos(r,k)
{
var finalcadena = "";
var cadena = new Array ();
cadena [0]= "Jefe final o aliado potencial " +cadenaPJ;
cadena [1]= "Refugio";
cadena [2]= "Refugio";
var cadenaPJ= personajes(r,4);
cadena [3]= "Recurso de armas, agua o provisiones";
var cadenaPJ= personajes(r,2);
cadena [4]= "Enemigos principales o aliado potencial "+cadenaPJ;
var cadenaPJ= personajes(r,1);
cadena [5]= "Enemigos menores "+cadenaPJ;
var cadenaPJ= personajes(r,1);
cadena [6]= "Enemigos menores "+cadenaPJ;
var cadenaPJ= personajes(r,1);
var cadenaPJ= personajes(r,1);
cadena [7]= "Enemigos menores "+cadenaPJ;
var cadenaPJ= personajes(r,1);
cadena [8]= "Enemigos menores "+cadenaPJ;
var cadenaPJ= personajes(r,2);
cadena [9]= "Animales "+cadenaPJ;
var cadenaPJ= personajes(r,1);
cadena [10]= "Emboscada "+cadenaPJ;
var cadenaPJ= personajes(r,1);
cadena [11]= "Animales "+cadenaPJ;
var cadenaPJ= personajes(r,1);
cadena [12]= "No muertos/artificiales "+cadenaPJ;
cadena [13]= "Recurso de armas, agua o provisiones";
var cadenaPJ= personajes(r,0);
cadena [14]= "Trampa/ suceso climático "+cadenaPJ;
var cadenaPJ= personajes(r,0);
cadena [15]= "Trampa / suceso climático "+cadenaPJ;
cadena [16]= "Zona intransitable o peligrosa "+cadenaPJ;
var cadenaPJ= personajes(r,0);
cadena [17]= "Zona intransitable o peligrosa "+cadenaPJ;
var cadenaPJ= personajes(r,2);
cadena [18]= "Animales "+cadenaPJ;
var cadenaPJ= personajes(r,1);
cadena [19]= "Emboscada "+cadenaPJ;
var cadenaPJ= personajes(r,1);
cadena [20]= "Personajes neutrales "+cadenaPJ;
var cadenaPJ= personajes(r,1);
cadena [21]= "Personajes neutrales "+cadenaPJ;

if (k==2)
{
 c=0; 
 for (var a=0; a<=c;a++){var z = Math.floor(Math.random()*(cadena.length-2));finalcadena= cadena[z]+". "+finalcadena;}
}
else 
{
 var c = (Math.random()*3+Math.random()*2);
 for (var a=0; a<=c;a++){var z = Math.floor(Math.random()*cadena.length);finalcadena= cadena[z]+". "+finalcadena;}
}
return finalcadena;
}


function menu()
{
document.write('<form><select id="al" name="alt"><option value="12">12</option><option value="2">2</option><option value="4">4</option><option value="6">6</option><option value="8">8</option><option value="10">10</option><option value="12">12</option><option value="14">14</option><option value="16">16</option><option value="18">18</option></select><select id="an" name="anc"><option value="12">12</option><option value="2">2</option><option value="4">4</option><option value="6">6</option><option value="8">8</option><option value="10">10</option><option value="12">12</option><option value="14">14</option></select><select id="con" name="cont"><option value="0">No incluir elementos</option><option value="5">Incluir elementos (nivel medio de ataque:5)</option><option value="7">Incluir elementos (nivel medio de ataque:7)</option><option value="10">Incluir elementos (nivel medio de ataque:10)</option><option value="12">Incluir elementos (nivel medio de ataque:12)</option><option value="15">Incluir elementos (nivel medio de ataque:15)</option><option value="20">Incluir elementos (nivel medio de ataque:20)</option><option value="25">Incluir elementos (nivel medio de ataque:25)</option><option value="30">Incluir elementos (nivel medio de ataque:30)</option><option value="35">Incluir elementos (nivel medio de ataque:35)</option><option value="40">Incluir elementos (nivel medio de ataque:40)</option></select><input type="button" value="Generar" onClick="aleatorio();"/></form>');
}

function aleatorio() 
{
     var lista = document.getElementById("al");
     var Altura2 = lista.options[lista.selectedIndex].value; 
     var lista2 = document.getElementById("an");
     var Anchura2 = lista2.options[lista2.selectedIndex].value;
     var lista3 = document.getElementById("con");
     var x = lista3.options[lista3.selectedIndex].value;
     var Posicion1=40;
     var Posicion2=2;
     var Posicion3=67;
     var Posicion4=40
     var Imagen = new Array();
     var Cuenta = 0; 


     for (var a=1;a<=Altura2;a++)
     { 
         for (var a2=1;a2<=Anchura2;a2++)
         { var ale = Math.floor(Math.random()*23);
document.write('<div style="position: absolute;left:' + Posicion2 + 'px;top:' + Posicion1 + 'px; margin: 0 auto;height:50px;width:50px;">  <img src="'+casilla[ale]+'">');Cuenta++;Imagen [Cuenta]=casilla[ale];
         if (Cuenta>Anchura2){document.write('<div style=" left: 0px; position: absolute; "> </div>');}document.write('</div>'); Posicion2=Posicion2+75;
         }
         Posicion1 = Posicion1+50;
         Posicion2=2;
 
        for (var a2=1;a2<=Anchura2;a2++)
         {var ale = Math.floor(Math.random()*23);
document.write('<div style="position: absolute;left:' + Posicion4 + 'px;top:' + Posicion3 + 'px; margin: 0 auto;height:50px;width:50px;">  <img src="'+casilla[ale]+'">');Cuenta++;Imagen [Cuenta]=casilla[ale];
         if (Cuenta>Anchura2){document.write('<div style=" left: 0px; position: absolute; "><img src="'+Imagen[Cuenta-Anchura2]+'"> </div>');}document.write('</div>');Posicion4=Posicion4+75;
         }     
         Posicion3 = Posicion3+50;
         Posicion4=40;  
     }

     var Posicion5=40;
     var Posicion6=2;
     var Posicion7=67;
     var Posicion8=40
     var contador=0;
    
     for (var a=1;a<=Altura2;a++)
     { 
         for (var a2=1;a2<=Anchura2;a2++)
         { var Y=Math.floor(Math.random()*5);if (Y==0){contador=contador+1;var ale = Math.floor(Math.random()*(casilla.length-24)+24);
document.write('<div style="position: absolute;left:' + Posicion6 + 'px;top:' + Posicion5 + 'px; margin: 0 auto;height:50px;width:50px;">  <img src="'+casilla[ale]+'"><div style=" background-color: black; left: 20px; color: #FFF;  filter:alpha(opacity=100); position: absolute; ">'+contador+'</div></div>');}Posicion6=Posicion6+75;
         }
         Posicion5 = Posicion5+50;
         Posicion6=2;
 
        for (var a2=1;a2<=Anchura2;a2++)
         {var Y=Math.floor(Math.random()*5);if (Y==0){contador=contador+1;var ale = Math.floor(Math.random()*(casilla.length-24)+24);
document.write('<div style="position: absolute;left:' + Posicion8 + 'px;top:' + Posicion7 + 'px; margin: 0 auto;height:50px;width:50px;">  <img src="'+casilla[ale]+'"><div style=" background-color: black; left: 20px; color: #FFF;  filter:alpha(opacity=100); position: absolute; ">'+contador+'</div></div>');}Posicion8=Posicion8+75;
         }     
         Posicion7 = Posicion7+50;
         Posicion8=40;  
     }

     document.write("<a href=index.php>Volver</a>");
     
    if (x!=0)      
    {
       Posicion1=Posicion1+20;
       document.write('<br><br><div  style="position: absolute;left:' + Posicion2 + 'px;top:' + Posicion1 + 'px;"> <br>');
       for (a3=1;a3<contador;a3++)
       {
        var cadenaelemento=elementos(x,0);
        document.write('Zona '+a3+': '+cadenaelemento);
        document.write("<br><br>");
       }
       document.write("<br>Sucesos aleatorios:<br><br>");
       for (a3=1;a3<21;a3++)
       {
       var cadenaelemento=elementos(x,2);
       document.write(a3+'- '+cadenaelemento);
       document.write("<br>");
      }
      document.write('</div>');
   }
}
	</script>
</head>
<body>
<script>menu();</script>


<b>EL TRATAMIENTO DE LOS ENEMIGOS</b>
<br><br>
Los personajes secundarios no poseen una ficha elaborada. Se crean simplemente dando puntuaciones a cinco rasgos:
<br><br>
<b>Ataque (A).</b> Su atributo de comate. Unifica la característica  y la habilidad de combate. Cuando intente atacar, sea cual sea el método, tira dado + Ataque. Cada aliado suma +3 al ataque si se realiza contra un mismo objetivo.
<br> <br>
<b>Defensa Física (D).</b> Señala lo difícil que es de superar físicamente (combates, carreras, etc.).
<br><br>
<b>Defensa Mental (DM).</b> Señala lo difícil que es de superar mentalmente (sigilo, seducción, escapar de un hechizo mental, etc.)
<br><br>
<b>Puntos de Vida (PV).</b> Señala su resistencia física. Cada punto de diferencia entre tirada de Ataque y Defensa, resta un PV.
<br><br>
<b>Nidel de Desafío (VD).</b> Una estimación orientativa de su capacidad de combate. Para derrotar a un personaje de, por ejemplo, nivel 20, hacen falta, más o menos, 4 de nivel 10.
<br><br>
Para generar personajes o criaturas de forma más elaboradas, podéis emplear las reglas de C-System, o cualquiera de los otros generadores automáticos que dejamos a vuestra disposición en nuestra web:
<br><br>
<a href="http://www.rolgratis.com/c-system/"><span class="">http://www.rolgratis.com/c-system/</a>
<br><br>
<b>TIPOS DE ENCUENTROS</b>
<br><br>
En cada zona puedes encontrarte uno o más de estos encuentros:
<br><br>
<b>Jefe de la zona.</b> Líder del lugar, o responsable de un problema importante a superar. 
<br> <br>
<b>Enemigos menores.</b> Enemigos menores, generalmente al servicio de alguien más importante.  
<br> <br>
<b>Enemigo importante.</b> Un rival más duro, puede estar bajo las órdenes de un lider mayor, o actuar por cuenta propia.
<br> <br>  
<b>Emboscada.</b> Un ataque a traición. Si no superamos el sigilo rival, tendremos desventaja el primer turno.
<br> <br> 
<b>No muertos / artificiales.</b> Enemigos muertos vivientes o creaciones artificiales. Pueden estar al servicio, o no, del jefe de la mazmorra.
<br> <br> 
<b>Animales.</b> Criaturas salvajes. 
<br> <br>  
<b>Aliado potencial.</b> PNJ o PNJS que igual pueden ofrecernos algo de ayuda. Pueden pedir algo a cambio, o necesitar ayuda.  
<br> <br>
<b>Recursos de agua o provisiones.</b> Un lugar donde aprovisionarse de agua o comida. Puede ser natural, o un almacén. 
<br> <br>
<b>Refugio.</b> Un lugar seguro donde descansar. 
<br> <br>
<b>Recursos de armas. </b>Un almacén de armas, comúnes o mágicas. 
<br> <br>
<b>Personajes neutrales. </b>Un asentamiento de personajes no jugadores. Pueden necesitar aydua, tener algo que ofrecer, o ser fuente de problemas, según las circunstancias. 
<br> <br>
<b>Trampa aleatoria.</b> Una trampa aleatoria. La Defensa muestra la dificultad para sortearla. El Ataque indica el valor con el que nos atacará si no logramos sortearla.<br><br>
<b>Suceso climático.</b> un suceso climático importante y severo. La Defensa muestra la dificultad para sortearlo. El Ataque indica el valor con el que nos atacará si no logramos sortearlo.<br><br>   
<b>Zona intransitable o peligrosa. </b>Un obstáculo, natural o artificial, que hay que superar para pasar. La Defensa muestra la dificultad para superarlo. El Ataque indica el valor con el que nos atacará si no superamos la Defensa.    
<br><br>
</body>
</html>

